%define major 1
%define libname %mklibname lxc %{major}
%define develname %mklibname lxc -d
%define debugcflags	%nil
%define	debug_package	%nil

%define luaver 5.2
%define lualibdir %{_libdir}/lua/%{luaver}
%define luapkgdir %{_datadir}/lua/%{luaver}
%bcond_without	lua
%bcond_with	python3

Name:		lxc
Version:	1.0.4
Release:	1
Summary:	Linux Containers
URL:		http://lxc.sourceforge.net
Source0:	https://linuxcontainers.org/downloads/%{name}-%{version}.tar.gz
Group:		System/Kernel and hardware
License:	LGPLv2
Epoch:		1
Patch2:		lxc-0.9.0.ROSA.network.patch
Patch3:		lxc-0.9.0.updates.patch
BuildRequires:	docbook-utils
BuildRequires:  kernel-headers
BuildRequires:	cap-devel
Buildrequires:	docbook-dtd30-sgml
Buildrequires:	docbook2x
%if %{with lua}
Buildrequires:	lua-devel
%endif
%if %{with python3}
Buildrequires:	python3-devel
%endif
# needed for lxc-busybox
Requires:       busybox
# needed for lxc-debian
Requires:       dpkg
# needed for lxc-debian, lxc-ubuntu:
Requires:       debootstrap rsync
# needed for lxc-sshd
Requires:       openssh-server
# bridge
Requires:       bridge-utils

Conflicts:   lxc-doc < 0.7.5
Obsoletes:   lxc-doc < 0.7.5

%description
The package "%{name}" provides the command lines to create and manage
containers.  It contains a full featured container with the isolation
/ virtualization of the pids, the ipc, the utsname, the mount points,
/proc, /sys, the network and it takes into account the control groups.
It is very light, flexible, and provides a set of tools around the
container like the monitoring with asynchronous events notification,
or the freeze of the container. This package is useful to create
Virtual Private Server, or to run isolated applications like bash or
sshd.

%package -n	%{libname}
Summary:	Library for LXC
Group:		System/Libraries

%description -n %{libname}
Library for the Linux Kernel Containers.

%package -n	%{develname}
Summary:	Development files for LXC
Group:		Development/C

%description -n %{develname}
Developement files for the Linux Kernel Containers.

%if %{with lua}
%package        -n lua-%{name}
Summary:        Lua binding for %{name}
Group:          System/Libraries
Requires:       lua-filesystem

%description    -n lua-%{name}
Linux Resource Containers provide process and resource isolation without the
overhead of full virtualization.

The lua-%{name} package contains the Lua binding for %{name}.
%endif

%if %{with python3}
%package        -n python3-%{name}
Summary:        Python binding for %{name}
Group:          System Environment/Libraries

%description    -n python3-%{name}
Linux Resource Containers provide process and resource isolation without the
overhead of full virtualization.

The python3-%{name} package contains the Python3 binding for %{name}.
%endif

%prep
%setup -q
%apply_patches

%build
export LDFLAGS="$LDFLAGS -llua"
%configure2_5x  F77=no \
		--disable-apparmor \
		--with-distro=mandriva \
%if %{with lua}
		--enable-lua \
%endif
%if %{with python3}
		--enable-python \
%endif

# remove rpath ( rpmlint error )
#sed -i '/AM_LDFLAGS = -Wl,-E -Wl,-rpath -Wl,$(libdir)/d' src/lxc/Makefile.in
%make

%install
%makeinstall_std templatesdir=%{_datadir}/lxc/templates READMEdir=%{_libexecdir}/lxc/rootfs

mkdir -p %{buildroot}/var/lib/%{name}

rm -f %{buildroot}%{_datadir}/%{name}/%{name}-patch.py*

%files
%doc README MAINTAINERS NEWS ChangeLog AUTHORS CONTRIBUTING COPYING
%{_sysconfdir}/lxc/default.conf
%{_sysconfdir}/bash_completion.d/lxc
%{_bindir}/lxc-*
%{_datadir}/%{name}/%{name}.functions
%{_datadir}/%{name}/config/*.conf
%{_datadir}/lxc/hooks/*
%{_datadir}/lxc/templates/*
%{_libexecdir}/lxc/rootfs/README
%{_libexecdir}/lxc/lxc-*
%{_localstatedir}/lib/%{name}
%{_mandir}/ja/man*/%{name}*
%{_mandir}/man*/%{name}*
%{_sbindir}/init.lxc

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%doc COPYING
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%if %{with lua}
%files -n lua-%{name}
%{lualibdir}/%{name}
%{luapkgdir}/%{name}.lua
%endif

%if %{with python3}
%files -n python3-%{name}
%{python3_sitearch}/*
%endif

%changelog
* Thu Jul 03 2014 Tigro <ashejn@gmail.com> 1:1.0.4-1
+ Revision: b4ba4ea
- update to 1.0.4


